## Identification of mini-Tn5 transposon integration sites in the genomes of R401 and R569

The chromosomal mini-Tn5 transposon integration sites in the R401 or R569 genomes were determined similarly as described before (15). Briefly, a colony from each strain was resuspended in 20 μl of sterile deionized water. Subsequently, a two-step PCR (TAIL-PCR) was performed starting with an arbitrarily primed PCR (PCR1), followed by a nested PCR (PCR2) on the generated product using the primers as described (**Table S4**). PCR reactions were conducted using the BIORON DFS-Taq polymerase reaction kit according to the manufacturer’s instructions. One microliter of a resuspended bacterial colony was used as template for PCR1 in a total PCR reaction volume of 25 μl. PCR1 was conducted using primers JO4 and JO28 and the following steps were applied: 95 °C for 5 min, six
cycles of 95 °C for 15 sec, 30 °C for 30 sec and 1 min elongation at 72 °C, followed by 30 cycles with 95 °C for 15 seconds, 45 °C for 30 seconds and 1 min elongation at 72 °C. Final elongation was for 5 min at 72°C. PCR2 was conducted using 0.3 μl of the PCR1 product and the primers JO1 and JO5. The following steps were applied: 95 °C for 5 min followed by 30 cycles of 95 °C for 15 sec, 57 °C for 30 sec and 1 min elongation at 72 °C.
Final elongation was for 5 min at 72°C. R401 or R569 wild type was included to account for unspecific amplifications. PCR products were separated by agarose gel electrophoresis. One of the most prominent bands from each sample was extracted using the Nucleospin Gel and PCR clean-up kit (Macherey-Nagel). The PCR product was eluted into a final buffer volume of 20 μl; DNA concentration was determined with a spectrophotometer (NanoDrop One, Thermo Scientific), and 75 ng of each product were sent for Sanger 
 sequencing (Eurofins genomics). Finally, chromosomal Tn5 integration sites were assessed by alignment of the obtained sequences flanked by the integrated Tn5 transposon in the R401 or R569 genome using the Geneious Prime or CLC Genomics Workbench software, respectively (Qiagen Digital Insights). Matching open reading frames (ORFs) were further aligned to the NCBI BLAST (17) nucleotide and protein data base (using BLASTn and BLASTp algorithm).