## Mini-Tn5 transposon mutant screen for loss of R401s growth inhibition of Rs GMI1600

Each R401 mini-Tn5 transposon mutant was screened individually for loss of inhibitory activity against GFP-expressing *Rs* GMI1600 and for wild type-like growth, as we observed in first trials that mutants that are impaired in growth are also more likely to have reduced inhibitory activity against Rs GMI1600. This screen was conducted in a 96-well plate format with GFP expression of *Rs* GMI1600 in response to individual R401 mutants  and Abs~600~ of axenically grown, individual R401 mutants as readouts. Therefore, for each mutant, two wells were inoculated in parallel, one in the presence of *Rs* GMI1600 and one grown axenically. Rs GMI1600 was streaked on 50% TSA plates and left to grow at 25 °C for 96 h. The same day, R401 mutants were each inoculated into 150 μl Artificial Root Exudates (ARE; **Table S5**) in 96-well culture plates (‘R401 preculture plates’) from glycerol stocks using a multi-stamp replicator and left to grow at 25 °C and 150 rpm for 96 h until saturation. Then, a *Rs* GMI1600 preculture was inoculated into 10 ml ARE and grown overnight at 25 °C and 150 rpm. Approximately 24 h later, the preculture was 1:10 diluted with 90 ml ARE and left to grow under the same conditions. Approximately 24 h later, the 100 ml *Rs* GMI1600 culture was concentrated by centrifugation at 4,000 rpm for 15 min, washed 3x and resuspended in ARE. Subsequently, OD600 was quantified and set to 0.2 in ARE. Then, 75 μl of this *Rs* GMI1600 suspension were transferred to each well of a sterile 96-well bacterial culture plate (Greiner-CELLSTAR-96-Well plate, transparent, flatbottom; Sigma-Aldrich) per ‘R401 preculture plate’, referred to as the ‘R401-*Rs* interaction plate’. Per ‘R401 preculture plate’ one sterile 96-well bacterial culture plate (Greiner-CELLSTAR-96-Well plate, transparent, flatbottom; Sigma-Aldrich) was filled with 150 μl ARE per well and R401 mutants were inoculated from the ‘R401 preculture plate’ using a multi-stamp replicator; this plate is referred to as the ‘axenic R401 plate’. After mixing by pipetting, 75 μl R401 mutant suspension were transferred from the ‘axenic R401 plate’ to the ‘R401-Rs interaction plate’. Finally, 75 μl ARE were added to each well of the ‘axenic R401 plate’. The ‘axenic R401 plate’ and ‘R401-Rs interaction plate’ thereby contain the same volume and concentration of R401 mutants, while the latter also contains a final concentration of OD~600~ 0.1 *Rs* GMI1600 per well. Both plates were closed with a lid and incubated at 25 °C and 150 rpm for 48 h. Subsequently, Abs~600~ was measured for the ‘axenic R401 plate’ and GFP fluorescence was quantified at 𝜆~excitation~=475 nm and 𝜆~emission~=510 nm for the ‘R401-Rs interaction plate’. Both measurements were taken using a microplate reader (Infinite M200 PRO, Tecan). Subsequently, candidate R401 mutants were selected based on two criteria: (I) loss of *Rs* GMI1600 inhibition; a mutant was considered a candidate if the GFP fluorescence in the ‘R401-Rs interaction plate’ was lower than 3-fold the absolute deviation around the median (MAD) (16) compared to the respective plates median, and (II) wild-type-like growth; a mutant was considered a candidate if the Abs~600~ in the ‘axenic R401 plate’ was not lower than 3x MAD compared to the respective plate’s median. Candidate R401 mutants were freshly picked from glycerol stocks and validated twice more independently using the same assay. Finally, 38 mutants that showed wild-type-like growth and robustly reduced inhibitory activity against *Rs* GMI1600 were subsequently tested in an orthogonal mBA experiment with Rs as target bacterium, as described before.

(16) C. Leys, C. Ley, O. Klein, P. Bernard, L. Licata, Detecting outliers: Do not use standard deviation around the mean, use absolute deviation around the median. *J Exp Soc Psychol* **49**, 764–766 (2013).